datablock AudioProfile(P51StartSound)
{
   filename    = "./sounds/startup.wav";
   description = AudioDefault3d;
   preload = true;
};
datablock AudioProfile(P51AmbSound)
{
   filename    = "./sounds/amb.wav";
   description = AudioDefault3d;
   preload = true;
};
datablock AudioProfile(P51StopSound)
{
   filename    = "./sounds/shutdown.wav";
   description = AudioDefault3d;
   preload = true;
};
datablock ExplosionData(P51BombExplosion)
{
   //explosionShape = "";
   explosionShape = "add-ons/weapon_rocket_launcher/explosionSphere1.dts";
	soundProfile = rocketExplodeSound;

   lifeTimeMS = 150;

   particleEmitter = rocketExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.2;

   emitter[0] = rocketExplosionRingEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "3.0 10.0 3.0";
   camShakeDuration = 0.5;
   camShakeRadius = 20.0;

   // Dynamic light
   lightStartRadius = 5;
   lightEndRadius = 20;
   lightStartColor = "1 1 1 1";
   lightEndColor = "0 0 0 0";

   damageRadius = 20;
   radiusDamage = 400;
   
   impulseRadius = 0;
   impulseForce = 0;

};
AddDamageType("P51Bomb",   '<color:FFFF00>[P-51 500lb Bomb]<color:FF0000> %1',    '%2 <color:FFFF00>[P-51 500lb Bomb]<color:FF0000> %1',0.2,1);
datablock ProjectileData(P51BombProjectile)
{
   projectileShapeName = "./shapes/bomb.dts";
   directDamage        = 1000;
   directDamageType = $DamageType::P51Bomb;
   radiusDamageType = $DamageType::P51Bomb;
   impactImpulse	   = 1000;
   verticalImpulse	   = 1000;
   explosion           = P51BombExplosion;
   particleEmitter     = "";

   brickExplosionRadius = 3;
   brickExplosionImpact = false;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 30;             
   brickExplosionMaxVolume = 30;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 60;  //max volume of bricks that we can destroy if they aren't connected to the ground (should always be >= brickExplosionMaxVolume)

   sound = "";

   muzzleVelocity      = 65;
   velInheritFactor    = 0.0;

   armingDelay         = 00;
   lifetime            = 9000;
   fadeDelay           = 9500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = true;
   gravityMod = 1.0;

   hasLight    = true;
   lightRadius = 5.0;
   lightColor  = "1 0.5 0.0";


};
datablock ProjectileData(P51FireProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   muzzleVelocity      = 100;
   particleEmitter     = P51FireEmitter;
   directDamageType  = $DamageType::jeepExplosion;
   radiusDamageType  = $DamageType::jeepExplosion;

   explodeOnDeath		= 0;

   armingDelay         = 0;
   lifetime            = 100;
};


AddDamageType("P51Cannon",   '<color:FFFF00>[P-51D .50 Machine Gun]<color:FF0000> %1',    '%2 <color:FFFF00>[P-51D .50 Machine Gun]<color:FF0000> %1',0.2,1);
datablock ProjectileData(P51CannonProjectile)
{
   projectileShapeName = "";
   directDamage        = 30;

   directDamageType    = $DamageType::P51cannon;
   radiusDamageType    = $DamageType::P51cannon;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 0;
   verticalImpulse	  = 0;
   explosion           = Gunexplosion;
   particleEmitter     = P51tracerTrailEmitter;

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 1000;
   fadeDelay           = 500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";


};




datablock WheeledVehicleTire(P51Tire)
{
	shapeFile = "add-ons/item_skis/emptywheel.dts";

	mass = 10;
	radius = 3;
	staticFriction = 2;
	kineticFriction = 2;
	restitution = 0.5;	

	// Spring that generates lateral tire forces
	lateralForce = 18000;
	lateralDamping = 4000;
	lateralRelaxation = 0.01;

	// Spring that generates longitudinal tire forces
	longitudinalForce = 14000;
	longitudinalDamping = 2000;
	longitudinalRelaxation = 0.01;
};
datablock WheeledVehicleSpring(P51Spring)
{
   // Wheel suspension properties
   length = 1.7;        // Suspension trave 0.2
   force = 8000;        // Spring force
   damping = 3000;      // Spring damping
   antiSwayForce =0;   // Lateral anti-sway force
};
datablock WheeledVehicleTire(P51RearTire)
{

	shapeFile = "add-ons/item_skis/emptywheel.dts";
	mass = 10;
	radius = 3;
	staticFriction = 2;
	kineticFriction = 2;
	restitution = 0.5;	

	// Spring that generates lateral tire forces
	lateralForce = 18000;
	lateralDamping = 4000;
	lateralRelaxation = 0.01;

	// Spring that generates longitudinal tire forces
	longitudinalForce = 14000;
	longitudinalDamping = 4000;
	longitudinalRelaxation = 0.01;
};
datablock WheeledVehicleSpring(P51RearSpring)
{
   // Wheel suspension properties
   length = 2;        // Suspension trave 0.2
   force = 10000;        // Spring force
   damping = 3000;      // Spring damping
   antiSwayForce =0;   // Lateral anti-sway force
};
datablock WheeledVehicleTire(P51fakeTire)
{
   shapeFile = "";
	
	mass = 0;
   radius = 0;
   staticFriction = 0;
   kineticFriction = 0;
   restitution = 0.0;	

   // Spring that generates lateral tire forces
   lateralForce = 10;
   lateralDamping = 10;
   lateralRelaxation = 0.01;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 10;
   longitudinalDamping = 10;
   longitudinalRelaxation = 0.01;
};
datablock WheeledVehicleSpring(P51fakeSpring)
{
   length = -20.2;        // Suspension trave 0.2
   force = 10;        // Spring force
   damping = 10;      // Spring damping
   antiSwayForce = 1.1;   // Lateral anti-sway force
};
datablock ShapeBaseImageData(PropellerStop)
{
   shapeFile = "./shapes/prop.dts";
	emap = false;

	mountPoint = 1;
   rotation = "1 0 0 0";
   
   	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateSequence[0]				= "prop";
	stateTimeoutValue[0]			= 0.3;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "FireB";
	stateWaitForTimeout[1]			= true;
	statesound[1]					= P51StopSound;
	stateSequence[1]				= "prop";
	stateTimeoutValue[1]			= 0.6;
	
	stateName[2]					= "FireB";
	stateTransitionOnTimeout[2]		= "FireC";
	stateWaitForTimeout[2]			= true;
	stateSequence[2]				= "prop";
	stateTimeoutValue[2]			= 0.9;
	
	stateName[3]					= "FireC";
	stateTransitionOnTimeout[3]		= "FireD";
	stateWaitForTimeout[3]			= true;
	stateTimeoutValue[3]			= 0.2;
	
	stateName[4]					= "FireD";
	stateTransitionOnTimeout[4]		= "FireC";
	stateWaitForTimeout[4]			= true;
	stateTimeoutValue[4]			= 0.2;
	

	
};

datablock ShapeBaseImageData(Propeller)
{
   shapeFile = "./shapes/prop.dts";
	emap = false;

	mountPoint = 1;
   rotation = "1 0 0 0";
   
   	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "FireB";
	stateWaitForTimeout[1]			= true;
	statesound[1]					= P51StartSound;
	stateSequence[1]				= "prop";
	stateTimeoutValue[1]			= 1;
	
	stateName[2]					= "FireB";
	stateTransitionOnTimeout[2]		= "FireC";
	stateWaitForTimeout[2]			= true;
	stateSequence[2]				= "prop";
	stateEmitter[2]					= rocketLauncherSmokeEmitter;
	stateEmitterTime[2]				= 1;
	stateEmitterNode[2]				= "tailnode1";
	stateTimeoutValue[2]			= 0.2;
	
	stateName[3]					= "FireC";
	stateTransitionOnTimeout[3]		= "FireD";
	stateWaitForTimeout[3]			= true;
	stateSequence[3]				= "prop";
	stateEmitter[3]					= rocketLauncherSmokeEmitter;
	stateEmitterTime[3]				= 1;
	stateEmitterNode[3]				= "tailnode2";
	stateTimeoutValue[3]			= 0.5;
	
	stateName[4]					= "FireD";
	stateTransitionOnTimeout[4]		= "FireE";
	stateWaitForTimeout[4]			= true;
	stateSequence[4]				= "prop";
	stateTimeoutValue[4]			= 0.2;
	
	stateName[5]					= "FireE";
	stateTransitionOnTimeout[5]		= "FireD";
	stateSound[5]					= P51AmbSound;
	stateWaitForTimeout[5]			= true;
	stateSequence[5]				= "prop";
	stateTimeoutValue[5]			= 0.2;
	
};
//Frozen propeller
datablock ShapeBaseImageData(PropellerF)
{
	shapeFile = "./shapes/prop.dts";
	emap = false;

	mountPoint = 1;
	rotation = "0 1 0 45";
};

datablock WheeledVehicleData(P51Vehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./shapes/p51.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;

	numMountPoints = 1;
	mountThread[0] = "sit";
	
	maxDamage = 200.00;
	destroyedLevel =  300.00;
	extradamagethreshold = 200;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 0";//move the mass between the wheels


	maxSteeringAngle = 0.9;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 23;         // Far distance from vehicle
	cameraOffset = 4.5;        // Vertical offset from camera mount point
	cameraLag = 1.0;           // Velocity lag of camera
	cameraDecay = 0.5;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.0;
	collisionTol = 0.1;        // Collision distance tolerance
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	  = P51Tire;
	defaultSpring = P51Spring;
	numWheels = 3;

	// Rigid Body
	mass = 200;
	density = 5.0;
	drag = 0.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 20;       // Play SoftImpact Sound
	hardImpactSpeed = 35;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 0; //4000;       // Engine power
	engineBrake = 200;         // Braking when throttle is 050
	brakeTorque = 4000;        // When brakes are applied
	maxWheelSpeed = 60;        // Engine scale by current speed / max speed

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	isSled = false;

	forwardThrust		= 7000;
	reverseThrust		= 2000;
	lift			= 10;
	maxForwardVel		= 70;
	maxReverseVel		= 2;//2
	horizontalSurfaceForce	= 200;   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 200; 
	rollForce		= 35000;
	yawForce		= 7000;
	pitchForce		= 10000;
	rotationalDrag		=2;
	stallSpeed		= 10;
	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
	burntime=15000;
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";

	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

	uiName = "P-51D Mustang";
	rideable = true;
		lookUpLimit = 0.5;
		lookDownLimit = 0.5;

	paintable = true;

	damageEmitter[0] = P51DamageEmitter;
	damageEmitterOffset[0] = "0.0 -3.0 0.0 ";
	damageLevelTolerance[0] = 0.50;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "6.0 0.0 0.0 ";
	damageLevelTolerance[1] = 0.99;

	numDmgEmitterAreas = 1;

	initialExplosionProjectile = P51ExplosionProjectile;
	initialExplosionOffset = 0;         //offset only uses a z value for now


	finalExplosionProjectile = P51finalExplosionProjectile1;
	finalExplosionOffset = 0;          //offset only uses a z value for now


	minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
	runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
	runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

     steeringUseStrafeSteering = false;

	P51ShootOnClick[0]=1;
	P51ShootOnClick_Hold[0]=1;
	P51ShootOnClick_ShootDelay[0]=150;
	P51ShootOnClick_ReShootDelay[0]=150;
	P51ShootOnClick_ProjectileCount[0]=6;
	P51ShootOnClick_RequiredSlot[0]=0;
	P51shootOnClick_isBomb[0] = 0;
	P51ShootOnClick_Sound[0]=gunshot1sound;
	P51shootOnClick_FlashProjectile[0]=P51FireProjectile;
	P51shootOnClick_Spread[0]=0.0001;
	//machinegun
	P51ShootOnClick_Projectile[0,0]=P51CannonProjectile;
	P51ShootOnClick_Position[0,0]="2 -3 -0.5";//4
	P51ShootOnClick_Velocity[0,0]="100 1.5 1";
	P51ShootOnClick_Scale[0,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[0,0]="100 2 0";

	P51ShootOnClick_Projectile[1,0]=P51CannonProjectile;
	P51ShootOnClick_Position[1,0]="2 -2.5 -0.5";
	P51ShootOnClick_Velocity[1,0]="100 1.5 1";
	P51ShootOnClick_Scale[1,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[1,0]="100 1 0";

	P51ShootOnClick_Projectile[2,0]=P51CannonProjectile;
	P51ShootOnClick_Position[2,0]="2 -3.5 -0.5";
	P51ShootOnClick_Velocity[2,0]="100 1.5 1";
	P51ShootOnClick_Scale[2,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[2,0]="100 1 0";

	P51ShootOnClick_Projectile[3,0]=P51CannonProjectile;
	P51ShootOnClick_Position[3,0]="2 3 -0.5";
	P51ShootOnClick_Velocity[3,0]="100 -1.5 1";
	P51ShootOnClick_Scale[3,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[3,0]="100 -2 0";

	P51ShootOnClick_Projectile[4,0]=P51CannonProjectile;
	P51ShootOnClick_Position[4,0]="2 3.5 -0.5";
	P51ShootOnClick_Velocity[4,0]="100 -1.5 1";
	P51ShootOnClick_Scale[4,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[4,0]="100 -1 0";

	P51ShootOnClick_Projectile[5,0]=P51CannonProjectile;
	P51ShootOnClick_Position[5,0]="2 2.5 -0.5";
	P51ShootOnClick_Velocity[5,0]="100 -1.5 1";
	P51ShootOnClick_Scale[5,0]="1 1 1";
	P51ShootOnClick_FlashVelocity[5,0]="100 -1 0";
	//Bomb
	P51ShootOnClick[1]=1;
	P51ShootOnClick_Hold[1]=0;
	P51ShootOnClick_ShootDelay[1]=4000;
	P51ShootOnClick_ReShootDelay[1]=4000;
	P51ShootOnClick_ProjectileCount[1]=2;
	P51ShootOnClick_RequiredSlot[1]=0;
	P51ShootOnClick_Sound[1]=spearFireSound;
	P51shootOnClick_FlashProjectile[1]="";
	P51shootOnClick_Spread[1]=0.0001;
	P51shootOnClick_isBomb[1] = 1;

	P51ShootOnClick_Projectile[0,1]=P51BombProjectile;
	P51ShootOnClick_Position[0,1]="1 2 -3";
	P51ShootOnClick_Scale[0,1]="0.5 0.5 0.5";
	P51ShootOnClick_FlashVelocity[0,1]="100 2 0";

		
	P51ShootOnClick_Projectile[1,1]=P51BombProjectile;
	P51ShootOnClick_Position[1,1]="1 -2 -3";
	P51ShootOnClick_Scale[1,1]="0.5 0.5 0.5";
	P51ShootOnClick_FlashVelocity[1,1]="100 2 0";






	minContrailSpeed = 50;
	mincollisionSpeed = 20;


};
function P51vehicle::onAdd(%this,%obj)
{

   for(%i = 0; %i < 2; %i++)
   {
      %obj.setWheelTire(%i, %this.defaultTire);
      %obj.setWheelSpring(%i, %this.defaultSpring);
   }
    %obj.setWheelTire(2, P51RearTire);
    %obj.setWheelSpring(2, P51RearSpring);
	%obj.setWheelSteering(0,0);
    %obj.setWheelSteering(1,0);
    %obj.setWheelSteering(2,-1);
    %obj.setWheelPowered(0,true);
    %obj.setWheelPowered(1,true);
    %obj.setWheelPowered(2,true);
	

	%obj.mountimage(PropellerF, 1);
	%obj.p51gear = 2;
	%obj.weaponi = 0;
	%obj.weapon = "6x .50 Cal Machine Gun";
	%obj.hitcounter=0;
   //%obj.creationTime = getSimTime();

	P51SpeedCheck(%this, %obj);
	

}
function P51vehicle::onDriverLeave(%this,%obj)
{
	%obj.unmountimage(1);
	%obj.mountimage(PropellerStop, 1);
	
}

//Do all these commands ever x MS
function P51SpeedCheck(%this, %obj)
{
	if(!isObject(%obj))
		return;
	%vehicle = %obj;
	%speed = vectorLen(%obj.getVelocity());
	%obj.speed = %speed;
		switch (%obj.p51gear)
		{
			case 1:
			%geart = "Up";
			%stat = "<color:00FF00>";
			%statnum = 1;
			case 2:
			%geart = "Down";
			%stat = "<color:FF0000>";
			%statnum = 0;
			 default:
			%geart = "Down";
			%stat = "<color:FF0000>";
			%statnum = 0;
		}
		commandToClient(%obj.getMountedObject(0).client,'bottomprint',
	"<just:left><font:Impact:24pt>\c3Speed <font:Impact:24pt>\c6: " @mFloor(%speed+0.5) @
	"<just:right><font:Impact:24pt>\c3[ L ] Gears <font:Impact:24pt>\c6: " @ %geart @
	"<just:center><font:Impact:24pt>\c3[ > ] Armament <font:Impact:24pt>\c6: " @ %stat @ " " @ %obj.weapon , 1, 2, 3, 4);
	schedule(500,0,"P51SpeedCheck",%this,%obj);
}
package P51
{
	function armor::onMount(%this,%obj,%col,%slot)
	{
		Parent::onMount(%this,%obj,%col,%slot);
		if(%col.getDataBlock() == P51Vehicle.getId())
		{
			%col.unmountimage(1);
			%col.mountimage(Propeller, 1);
		}

	}

	function servercmdLight(%client)
	{

	
		%p = %client.player;
		if(!isobject(%p.getobjectmount()))
			return Parent::servercmdLight(%client);

		

		if(%p.getobjectmount().getdatablock() == P51vehicle.getid())
		{
			if($Sim::Time<%client.delay)
			{
				return;
			}
			%obj = %p.getobjectmount().getid();
			%client=%client;
			switch (%obj.p51gear)
			{
				case 1:
					for(%i = 0; %i < 2; %i++)
					{
						%obj.schedule(1400,setWheelTire,%i, P51tire);
						%obj.schedule(1400,setWheelspring,%i, P51spring);
					}
					%obj.playThread(0,"geardown");
						
					%obj.p51gear = 2;
				case 2:
				for(%i = 0; %i < 2; %i++)
				{
					%obj.setWheelTire(%i, P51faketire);
					%obj.setWheelSpring(%i, P51fakespring);
				}
				%obj.playThread(0,"gearup");
			
				%obj.p51gear = 1;
				default:
				for(%i = 0; %i < 2; %i++)
				{
					%obj.setWheelTire(%i, P51faketire);
					%obj.setWheelSpring(%i, P51fakespring);
				}
				%obj.playThread(0,"gearup");
				
				%obj.p51gear = 1;
			}
			%client.delay=$Sim::Time+2000/1000;
		}
		else
		Parent::servercmdLight(%client);
							
			
	}
					
		
	
};
activatePackage(P51);

function P51Vehicle::onImpact(%this,%obj,%data)
{
	%speed = vectorLen(%obj.getVelocity());
	//Lets the pilot have an easy landing
	if(%obj.p51gear == 2)
		%obj.speedlimit = 30;
	else
		%obj.speedlimit = 5;
	
	if(%obj.speed > %obj.speedlimit )
	{
		if(%obj.destroyed)
            return;
		%obj.setDamageLevel(0);
		%obj.destroyed = 1;

		%trans = %obj.getTransform();
		%p = new Projectile()
		{
			dataBlock = P51finalExplosionProjectile1;
			initialVelocity  = "0 0 0";
			initialPosition  = %trans;
			 client = %obj.getmountedobject(0).client;
               sourceClient = %obj.getmountedobject(0).client;
		};
		MissionCleanup.add(%p);


		%obj.schedule(10,"delete");
		if(isObject(%obj.spawnBrick.client.minigame))
			%respawn = %obj.spawnBrick.client.minigame.vehicleReSpawnTime;
		%obj.spawnBrick.schedule(%respawn+1000,"spawnVehicle");
	}
	else if(%obj.speed < %obj.speedlimit)
	{
	%obj.applydamage(10);
	}
	
}

function P51Vehicle::Damage(%this,%obj,%source,%pos,%amm,%type)
   {
 
      if((%obj.getDamageLevel()) == %this.maxDamage)
      {
	  //if sustained an extra extradamagethreshold damage when burning then instantly destroy it
		if(%obj.hitcounter>=%this.extradamagethreshold)
		{
	
			if(%obj.fdestroyed)
            return;
		
			%trans = %obj.getTransform();
			%p = new Projectile()
			{
				dataBlock = P51finalExplosionProjectile1;
				initialVelocity  = "0 0 0";
				initialPosition  = %trans;
				 client = %obj.lastDamageClient;
               sourceClient = %obj.lastDamageClient;
				scale = "1 1 1";
			};
			MissionCleanup.add(%p);
			%obj.fdestroyed = 1;
			%obj.schedule(10,"delete");
			
			if(isObject(%obj.spawnBrick.client.minigame))
				%respawn = %obj.spawnBrick.client.minigame.vehicleReSpawnTime;
			%obj.spawnBrick.schedule(%respawn+1000,"spawnVehicle");
		}
		else
			%obj.hitcounter=%obj.hitcounter+%amm;
      }
      else
     Parent::Damage(%this,%obj,%source,%pos,%amm,%type);
}
function P51finalExplosionProjectile1::onExplode(%this,%obj)
{
		%trans = %obj.getTransform();
  		for(%i=2;%i<6;%i++)
		{
			%p[%i] = new Projectile()
			{
				dataBlock = "P51finalExplosionProjectile" @ %i;
				initialVelocity  = "0 0 0";
				initialPosition  = %trans;
				sourceObject     = %obj;
				sourceSlot       = 0;
				client           = %obj.client;
				scale = "1 1 1";
			};
			MissionCleanup.add(%p[%i]);
		}  

}

